OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.ConservativeRasterPreSnapTriangles

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVConservativeRasterPreSnapTriangles :: MonadIO m => m Bool
- gl_NV_conservative_raster_pre_snap_triangles :: Bool
- pattern GL_CONSERVATIVE_RASTER_MODE_NV :: GLenum
- pattern GL_CONSERVATIVE_RASTER_MODE_POST_SNAP_NV :: GLenum
- pattern GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_TRIANGLES_NV :: GLenum
- glConservativeRasterParameteriNV :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetNVConservativeRasterPreSnapTriangles :: MonadIO m => m Bool Source #

Is the NV_conservative_raster_pre_snap_triangles extension supported?

gl_NV_conservative_raster_pre_snap_triangles :: Bool Source #

Is the NV_conservative_raster_pre_snap_triangles extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVConservativeRasterPreSnapTriangles` in those cases instead.

# Enums

pattern GL_CONSERVATIVE_RASTER_MODE_NV :: GLenum Source #

pattern GL_CONSERVATIVE_RASTER_MODE_POST_SNAP_NV :: GLenum Source #

pattern GL_CONSERVATIVE_RASTER_MODE_PRE_SNAP_TRIANGLES_NV :: GLenum Source #

# Functions

glConservativeRasterParameteriNV Source #

Arguments

:: MonadIO m |
=> GLenum | `pname`.
-> GLint | `param`.
-> m () |